View Issue Details

IDProjectCategoryView StatusLast Update
0013414Tine 2.0Tinebasepublic2017-09-08 14:54
ReporterpschueleAssigned Topmehrer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2017.11.1~rc1 Caroline Business EditionFixed in Version2017.11.1~rc1 Caroline Business Edition 
Summary0013414: update scripts should work without dedicated setupuser
Descriptionupdate scripts should work without dedicated setupuser

setupuser might not be created (for example with ldap readonly backend) or the default admin group might have no rights for all apps

- for example Tinebase 10.16 -> 10.17 (node acl)

* setup tests: in installing from dump: after restoring db, but before
executing the updates, strip the setup user of all its rights
* before running updates: create a superUser role (turn off modlog and
replication), assign setup user to superUser role, run update, cleanup
* check action queue is empty and wait for it to finish
* before running updates: set action queue to direct backend
TagsNo tags attached.
mwticket155377

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-09-05 14:40 pschuele New Issue
2017-09-05 14:40 pschuele Assigned To => pmehrer
2017-09-07 15:14 pschuele Description Updated View Revisions
2017-09-07 15:14 pschuele Status new => gerrit
2017-09-07 15:46 pschuele Description Updated View Revisions
2017-09-08 14:54 pschuele Status gerrit => resolved
2017-09-08 14:54 pschuele Fixed in Version => 2017.11.1~rc1 Caroline Business Edition
2017-09-08 14:54 pschuele Target Version 2017.08.4 Community Edition => 2017.11.1~rc1 Caroline Business Edition
2017-09-08 14:54 pschuele Resolution open => fixed